<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
//mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$file = "finallist.php";

$keyfld = "accode";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
//$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `memno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `oldno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `brno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `shtactid`= '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND (`add1` = '$searchTerm' or add2 = '$searchTerm' or add3 = '$searchTerm')";
    } else if ($_REQUEST["sfield"] == "7") {
        $cond = "AND `tel` = '$searchTerm' ";
    } else if ($_REQUEST["sfield"] == "8") {
        $cond = "AND `mobile` = '$searchTerm' ";
    } else if ($_REQUEST["sfield"] == "9") {
        $cond = "AND `yearno` = '$searchTerm' ";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `memno`  LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `oldno`  LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `brno`  LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `shtactid`  LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `name`  LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND (`add1`  LIKE '%$searchTerm%' or add2  LIKE '%$searchTerm%' or add3  LIKE '%$searchTerm%')";
    } else if ($_REQUEST["sfield"] == "7") {
        $cond = "AND `tel`  LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "8") {
        $cond = "AND `mobile`  LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "9") {
        $cond = "AND `yearno`  LIKE '%$searchTerm%'";
    }
}


$sortcond = "ORDER BY `name`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `memno`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `oldno`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `brno`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `shtactid`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY `name`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY `add1`";
} else if ($_REQUEST["sortBy"] == "7") {
    $sortcond = " ORDER BY `tel`";
} else if ($_REQUEST["sortBy"] == "8") {
    $sortcond = " ORDER BY `mobile`";
} else if ($_REQUEST["sortBy"] == "9") {
    $sortcond = " ORDER BY `yearno`";
}


$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}

$query = "SELECT accode, memno,yearno, brno,shtactid, oldno, brno, name, add1, add2, add3, mobile,tel FROM `finallist` WHERE accode != '' $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {

    $rows[] = ['success' => true,
        'value' => $ctr,
        'keyfld' => $keyfld,
        'name' => $r["name"],
        'add' => $r["add1"] . $r["add2"] . $r["add3"],
        'tel' => $r["tel"],
        'brno' => $r["brno"],
        'memno' => $r["memno"],
        'oldno' => $r["oldno"],
        'yearno' => $r["yearno"],
        'shtactid' => $r["shtactid"],
        'mobile' => $r["mobile"],
        'action' => "$file?mode=edit&$keyfld=$r[$keyfld]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
?>